# $Revision: 1.7 $, $Date: 2005/12/12 15:19:32 $
%define		dictname dalf
Summary:	Russian monolingual dictionary dalf for dictd
Summary(pl):	Sownik rosyjsko-rosyjski dalf dla dictd
Name:		dict-%{dictname}
Version:	1.0
Release:	2
License:	unknown
Group:		Applications/Dictionaries
Source0:	http://www.chat.ru/~muller_dic/dalf.gz
# Source0-md5:	395ca06b4e38399e1a91bf89d51ae289
Patch0:		%{dictname}.patch
URL:		http://www.chat.ru/~muller_dic/
BuildRequires:	dictfmt
BuildRequires:	dictzip
Requires:	%{_sysconfdir}/dictd
Requires:	dictd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Russian monolingual dictionary for dictd encoded in koi8-r. Start
server with --locale ru_RU.KOI8-R option in order to use it.

%description -l pl
Sownik rosyjsko-rosyjski dla dictd kodowany w koi8-r. Uruchom serwer
z opcj --locale ru_RU.KOI8-R, eby mc go uywa.

%description -l ru
 ,   CD  "  ".

%prep
%setup -q -c -T
%{__gzip} -dc %{SOURCE0} > dalf
%patch0 -p0

%build
LC_ALL=ru_RU.KOI8-R perl -ne 'use locale; /^(.*?)[\.,;\?]*  (.*)\n/; $def=$2; $word=$1; $word=~s/[\?,]+ /|/g; print ":".lc($word).":\n$def\n"' < dalf | \
	dictfmt -j -u http://www.chat.ru/~muller_dic/ -s %{dictname} --locale ru_RU.KOI8-R --headword-separator \| %{dictname}
dictzip %{dictname}.dict

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/dictd,%{_sysconfdir}/dictd}

dictprefix=%{_datadir}/dictd/%{dictname}
echo "# dalf russian monolingual dictionary
database %{dictname} {
	data  \"$dictprefix.dict.dz\"
	index \"$dictprefix.index\"
}" > $RPM_BUILD_ROOT%{_sysconfdir}/dictd/%{dictname}.dictconf
mv %{dictname}.* $RPM_BUILD_ROOT%{_datadir}/dictd

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2
fi

%postun
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2 || true
fi

%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dictd/%{dictname}.dictconf
%{_datadir}/dictd/%{dictname}.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dict-dalf.spec,v $
Revision 1.7  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.6  2003/11/23 03:07:18  undefine
- release 2 to rebuild with ac

Revision 1.5  2003/06/16 19:09:15  blues
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

Revision 1.4  2003/05/26 16:24:53  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/05/25 05:46:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/03/21 18:06:03  gotar
- more info in %desc

Revision 1.1  2003/03/21 18:00:48  gotar
- initial PLD release
